> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transaction documents

> Returns the documents associated with the provided bank transaction id. Bank transaction documents are most commonly receipts, but any document may be uploaded, such as an invoice. Images (`jpg` & `png`) and PDFs are supported. Each document will be served as a presigned URL, which is a secure, temporarily available link to the document.



## OpenAPI

````yaml get /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents:
    get:
      tags: []
      summary: List transaction documents
      description: >-
        Returns the documents associated with the provided bank transaction id.
        Bank transaction documents are most commonly receipts, but any document
        may be uploaded, such as an invoice. Images (`jpg` & `png`) and PDFs are
        supported. Each document will be served as a presigned URL, which is a
        secure, temporarily available link to the document.
      operationId: business.bank-transactions.documents.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch the documents for
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          description: The UUID of the bank transaction to fetch documents for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentS3Urls'
        '404':
          description: >-
            Business or transaction id is not found. This indicates the
            transaction id is invalid or the transaction has been deleted, or
            the business is not found or has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    DocumentS3Urls:
      type: object
      properties:
        documentUrls:
          type: array
          items:
            $ref: '#/components/schemas/S3PresignedUrl'
          description: A list of presigned URLs to documents stored in S3.
      required:
        - documentUrls
      description: >-
        Contains a list of presigned URLs pointing to various documents stored
        on Amazon S3. These URLs allow authorized access to the documents for a
        limited period.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    S3PresignedUrl:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be 'S3_Presigned_Url'.
          example: S3_Presigned_Url
        presignedUrl:
          type: string
          description: Pre-signed URL to download a document
          example: >
            https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
        fileType:
          type: string
          description: The file type of the document
          example: csv
      description: A pre-signed URL to download a document
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````